import addUser from "../../actions/users/add-user";
import getUser from "../../actions/users/get-user";
import loginUser from "../../actions/users/login-user";
import logoutUser from "../../actions/users/logout-user";
import resetPassword from "../../actions/users/reset-password";
import sendEmailCode from "../../actions/users/send-email-code";
import googleAuth from "../../actions/users/social/google-auth";
import updateUser from "../../actions/users/update-user";
import userAuth from "../../actions/users/user-auth";
import validateTempEmailCode from "../../actions/users/validate-temp-email-code";
declare const user: {
    auth: {
        login: typeof loginUser;
        get: typeof getUser;
        signup: typeof addUser;
        sendEmailCode: typeof sendEmailCode;
        update: typeof updateUser;
        resetPassword: typeof resetPassword;
        googleLogin: typeof googleAuth;
        logout: typeof logoutUser;
        auth: typeof userAuth;
        validateTempEmailCode: typeof validateTempEmailCode;
    };
};
export default user;
