import logoutUser from "../../actions/users/logout-user";
import userAuth from "../../actions/users/user-auth";
import validateTempEmailCode from "../../actions/users/validate-temp-email-code";
import { AddUserParams, GetUserParams, GoogleAuthParams, LoginUserParam, ResetPasswordParams, SendEmailCodeParams, UpdateUserParams } from "../../types";
declare const localUser: {
    auth: {
        login: (_: LoginUserParam) => Promise<import("../../types").APIResponseObject<import("../../types").DATASQUIREL_LoggedInUser | null>>;
        get: (_: GetUserParams) => Promise<import("../../types").GetUserFunctionReturn>;
        signup: (_: AddUserParams) => Promise<import("../../types").APIResponseObject>;
        sendEmailCode: (_: SendEmailCodeParams) => Promise<import("../../types").APIResponseObject>;
        update: (_: UpdateUserParams) => Promise<import("../../types").UpdateUserFunctionReturn>;
        resetPassword: (_: ResetPasswordParams) => Promise<import("../../types").UpdateUserFunctionReturn>;
        googleLogin: (_: GoogleAuthParams) => Promise<import("../../types").APIResponseObject>;
        logout: typeof logoutUser;
        auth: typeof userAuth;
        validateTempEmailCode: typeof validateTempEmailCode;
    };
};
export default localUser;
