import { APIResponseObject, DataCrudRequestMethods, DataCrudRequestMethodsLowerCase } from "../../types";
type Param<T = {
    [k: string]: any;
}> = {
    body?: T;
    query?: T;
    useDefault?: boolean;
    path: string;
    method?: (typeof DataCrudRequestMethods)[number] | (typeof DataCrudRequestMethodsLowerCase)[number];
    apiKey?: string;
};
/**
 * # Query DSQL API
 */
export default function queryDSQLAPI<T = {
    [k: string]: any;
}, P = {
    [k: string]: any;
}>({ body, query, useDefault, path: passedPath, method, apiKey, }: Param<T>): Promise<APIResponseObject<P>>;
export {};
