import { DATASQUIREL_LoggedInUser } from "../../types";
type Param = {
    query: {
        invite: number;
        database_access: string;
        priviledge: string;
        email: string;
    };
    user: DATASQUIREL_LoggedInUser;
};
/**
 * Add Admin User on Login
 * ==============================================================================
 *
 * @description this function handles admin users that have been invited by another
 * admin user. This fires when the invited user has been logged in or a new account
 * has been created for the invited user
 */
export default function addAdminUserOnLogin({ query, user, }: Param): Promise<any>;
export {};
