export declare const grabAuthDirs: () => {
    root: string;
    auth: string;
};
export declare const initAuthFiles: () => boolean;
/**
 * # Write Auth Files
 */
export declare const writeAuthFile: (name: string, data: string, cleanup?: {
    userId: string | number;
}) => boolean;
/**
 * # Clean up User Auth Files
 */
export declare const cleanupUserAuthFiles: (userId: string | number) => boolean;
/**
 * # Get Auth Files
 */
export declare const getAuthFile: (name: string) => string | null;
/**
 * # Delete Auth Files
 * @param {string} name
 */
export declare const deleteAuthFile: (name: string) => void | null;
/**
 * # Delete Auth Files
 * @param {string} name
 */
export declare const checkAuthFile: (name: string) => boolean;
