export declare const DbContextsArray: readonly ["Master", "Dsql User"];
type Param = {
    dbContext?: (typeof DbContextsArray)[number];
    dbFullName: string;
    query: string | any;
    readOnly?: boolean;
    debug?: boolean;
    dbSchema?: import("../../../types").DSQL_DatabaseSchemaType;
    queryValuesArray?: (string | number)[];
    tableName?: string;
};
type Return = {
    result: any;
    error?: string;
};
/**
 * # Run DSQL users queries
 */
export default function runQuery({ dbFullName, query, readOnly, dbSchema, queryValuesArray, tableName, debug, dbContext, }: Param): Promise<Return>;
export {};
