import Mail from "nodemailer/lib/mailer";
import SMTPTransport from "nodemailer/lib/smtp-transport";
export type HandleNodemailerParam = Mail.Options & {
    senderName?: string;
    alias?: string | null;
    options?: SMTPTransport.Options;
    verifyOnly?: boolean;
};
/**
 * # Handle mails With Nodemailer
 */
export default function handleNodemailer(params: HandleNodemailerParam): Promise<SMTPTransport.SentMessageInfo | boolean | undefined>;
