import { DSQL_DatabaseSchemaType, DSQL_TableSchemaType } from "../../../types";
declare const TriggerTypes: readonly [{
    readonly name: "after_insert";
    readonly value: "INSERT";
}, {
    readonly name: "after_update";
    readonly value: "UPDATE";
}, {
    readonly name: "after_delete";
    readonly value: "DELETE";
}];
export type TriggerSQLGenParams = {
    type: (typeof TriggerTypes)[number];
    srcDbSchema: DSQL_DatabaseSchemaType;
    srcTableSchema: DSQL_TableSchemaType;
    content: string;
    proceedureName: string;
};
export default function triggerSQLGen({ type, srcDbSchema, srcTableSchema, content, proceedureName, }: TriggerSQLGenParams): string;
export {};
