"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabMainConfig;
const grab_config_1 = __importDefault(require("./grab-config"));
function grabMainConfig(params) {
    const { appConfig } = (0, grab_config_1.default)();
    const { userConfig } = (0, grab_config_1.default)({ userId: params === null || params === void 0 ? void 0 : params.userId });
    return { appMainConfig: appConfig.main, userMainConfig: userConfig === null || userConfig === void 0 ? void 0 : userConfig.main };
}
