"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = setTextFieldType;
const lodash_1 = __importDefault(require("lodash"));
function setTextFieldType(field, type) {
    const newField = lodash_1.default.cloneDeep(field);
    delete newField.css;
    delete newField.richText;
    delete newField.json;
    delete newField.shell;
    delete newField.html;
    delete newField.javascript;
    delete newField.yaml;
    delete newField.code;
    delete newField.defaultValueLiteral;
    if (type == "css")
        return Object.assign(Object.assign({}, newField), { css: true });
    if (type == "richText")
        return Object.assign(Object.assign({}, newField), { richText: true });
    if (type == "json")
        return Object.assign(Object.assign({}, newField), { json: true });
    if (type == "shell")
        return Object.assign(Object.assign({}, newField), { shell: true });
    if (type == "html")
        return Object.assign(Object.assign({}, newField), { html: true });
    if (type == "yaml")
        return Object.assign(Object.assign({}, newField), { yaml: true });
    if (type == "javascript")
        return Object.assign(Object.assign({}, newField), { javascript: true });
    if (type == "code")
        return Object.assign(Object.assign({}, newField), { code: true });
    return Object.assign({}, newField);
}
