import { UserType } from "../types";
type Param = {
    /**
     * Database full name or slug
     */
    dbName?: string;
    userId?: string | number;
    user?: UserType | null;
};
/**
 * # Grab full database name
 * @description Grab full database name from slug or full name
 * @param param0
 * @returns
 */
export default function grabDbNames({ dbName, userId, user }: Param): {
    userDbPrefix: string;
    dbFullName: string | undefined;
    dbNamePrefix: string | undefined;
};
export {};
