import { Connection, ConnectionConfig } from "mariadb";
type Param = {
    /**
     * No Database Connection
     */
    noDb?: boolean;
    /**
     * Database Name
     */
    database?: string;
    /**
     * Debug
     */
    config?: ConnectionConfig;
};
/**
 * # Grab General CONNECTION for DSQL
 */
export default function grabDSQLConnection(param?: Param): Promise<Connection>;
export {};
