import addUser from "../../actions/users/add-user";
import getUser from "../../actions/users/get-user";
import loginUser from "../../actions/users/login-user";
import logoutUser from "../../actions/users/logout-user";
import resetPassword from "../../actions/users/reset-password";
import sendEmailCode from "../../actions/users/send-email-code";
import googleAuth from "../../actions/users/social/google-auth";
import updateUser from "../../actions/users/update-user";
import userAuth from "../../actions/users/user-auth";
import validateTempEmailCode from "../../actions/users/validate-temp-email-code";

const user = {
    auth: {
        login: loginUser,
        get: getUser,
        signup: addUser,
        sendEmailCode: sendEmailCode,
        update: updateUser,
        resetPassword: resetPassword,
        googleLogin: googleAuth,
        logout: logoutUser,
        auth: userAuth,
        validateTempEmailCode,
    },
};

export default user;
