require("dotenv").config({ path: "./../.env" });

import serverError from "../functions/backend/serverError";
import dbHandler from "../functions/backend/dbHandler";

/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */

/**
 * Grab Schema
 *
 * @description Grab Schema
 */
dbHandler({
    query: `SELECT DISTINCT db_id FROM datasquirel.user_database_tables`,
}).then(async (tables: any) => {
    for (let i = 0; i < tables.length; i++) {
        const table = tables[i];

        try {
            const { db_id } = table;

            const dbSlug = (await dbHandler({
                query: `SELECT db_slug FROM user_databases WHERE id='${db_id}'`,
            })) as any;

            const updateTableSlug = await dbHandler({
                query: `UPDATE user_database_tables SET db_slug='${dbSlug[0].db_slug}' WHERE db_id='${db_id}'`,
            });
        } catch (error: any) {
            serverError({
                component:
                    "shell/updateDbSlugsForTableRecords/main-catch-error",
                message: error.message,
                user: {},
            });
        }
    }

    process.exit();
});
