import { PostDataPayload, PostReturn } from "../types";
type Param = {
    key?: string;
    database?: string;
    query: string | PostDataPayload;
    queryValues?: any[];
    tableName?: string;
    user_id?: boolean;
    useLocal?: boolean;
    debug?: boolean;
};
/**
 * # Make a post request to Datasquirel API
 */
export default function post({ key, query, queryValues, database, tableName, user_id, useLocal, debug, }: Param): Promise<PostReturn>;
export {};
