"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = apiCrudPUT;
const post_1 = __importDefault(require("./post"));
function apiCrudPUT(_a) {
    return __awaiter(this, arguments, void 0, function* ({ dbName, tableName, body, targetID, apiKey }) {
        const updatedBody = Object.assign({}, body);
        if (targetID) {
            updatedBody["id"] = targetID;
        }
        return yield (0, post_1.default)({
            dbName,
            tableName,
            body: updatedBody,
            update: true,
            apiKey,
        });
    });
}
