"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const add_user_1 = __importDefault(require("../../actions/users/add-user"));
const get_user_1 = __importDefault(require("../../actions/users/get-user"));
const login_user_1 = __importDefault(require("../../actions/users/login-user"));
const logout_user_1 = __importDefault(require("../../actions/users/logout-user"));
const reset_password_1 = __importDefault(require("../../actions/users/reset-password"));
const send_email_code_1 = __importDefault(require("../../actions/users/send-email-code"));
const google_auth_1 = __importDefault(require("../../actions/users/social/google-auth"));
const update_user_1 = __importDefault(require("../../actions/users/update-user"));
const user_auth_1 = __importDefault(require("../../actions/users/user-auth"));
const validate_temp_email_code_1 = __importDefault(require("../../actions/users/validate-temp-email-code"));
const user = {
    auth: {
        login: login_user_1.default,
        get: get_user_1.default,
        signup: add_user_1.default,
        sendEmailCode: send_email_code_1.default,
        update: update_user_1.default,
        resetPassword: reset_password_1.default,
        googleLogin: google_auth_1.default,
        logout: logout_user_1.default,
        auth: user_auth_1.default,
        validateTempEmailCode: validate_temp_email_code_1.default,
    },
};
exports.default = user;
