declare const DataTypes: readonly [{
    readonly title: "VARCHAR";
    readonly name: "VARCHAR";
    readonly value: "0-255";
    readonly argument: true;
    readonly description: "Varchar is simply letters and numbers within the range 0 - 255";
    readonly maxValue: 255;
}, {
    readonly title: "TINYINT";
    readonly name: "TINYINT";
    readonly value: "0-100";
    readonly description: "TINYINT means Integers: 0 to 100";
    readonly maxValue: 127;
}, {
    readonly title: "SMALLINT";
    readonly name: "SMALLINT";
    readonly value: "0-255";
    readonly description: "SMALLINT means Integers: 0 to 240933";
    readonly maxValue: 32767;
}, {
    readonly title: "MEDIUMINT";
    readonly name: "MEDIUMINT";
    readonly value: "0-255";
    readonly description: "MEDIUMINT  means Integers: 0 to 1245568545560";
    readonly maxValue: 8388607;
}, {
    readonly title: "INT";
    readonly name: "INT";
    readonly value: "0-255";
    readonly description: "INT means Integers: 0 to 12560";
    readonly maxValue: 2147483647;
}, {
    readonly title: "BIGINT";
    readonly name: "BIGINT";
    readonly value: "0-255";
    readonly description: "BIGINT means Integers: 0 to 1245569056767568545560";
    readonly maxValue: 2e+63;
}, {
    readonly title: "TINYTEXT";
    readonly name: "TINYTEXT";
    readonly value: "0-255";
    readonly description: "Text with 255 max characters";
    readonly maxValue: 127;
}, {
    readonly title: "TEXT";
    readonly name: "TEXT";
    readonly value: "0-100";
    readonly description: "MEDIUMTEXT is just text with max length 16,777,215";
}, {
    readonly title: "MEDIUMTEXT";
    readonly name: "MEDIUMTEXT";
    readonly value: "0-255";
    readonly description: "MEDIUMTEXT is just text with max length 16,777,215";
}, {
    readonly title: "LONGTEXT";
    readonly name: "LONGTEXT";
    readonly value: "0-255";
    readonly description: "LONGTEXT is just text with max length 4,294,967,295";
}, {
    readonly title: "DECIMAL";
    readonly name: "DECIMAL";
    readonly description: "Numbers with decimals";
    readonly integer: "1-100";
    readonly decimals: "1-4";
}, {
    readonly title: "FLOAT";
    readonly name: "FLOAT";
    readonly description: "Numbers with decimals";
    readonly integer: "1-100";
    readonly decimals: "1-4";
}, {
    readonly title: "DOUBLE";
    readonly name: "DOUBLE";
    readonly description: "Numbers with decimals";
    readonly integer: "1-100";
    readonly decimals: "1-4";
}, {
    readonly title: "UUID";
    readonly name: "UUID";
    readonly valueLiteral: "UUID()";
    readonly description: "A Unique ID";
}, {
    readonly title: "TIMESTAMP";
    readonly name: "TIMESTAMP";
    readonly description: "Time Stamp";
}];
export default DataTypes;
