import { GrabUserResourceParams } from "../../../../types";
export default function dbGrabUserResource<T extends {
    [k: string]: any;
} = any>(params: GrabUserResourceParams<T>): Promise<{
    batch: T[] | null;
    single: T | null;
    debug: {
        queryObject: {
            sql?: string;
            params?: string[];
        } | undefined;
        error: any;
        msg: string | undefined;
    };
    count: number | undefined;
}>;
