import * as http from "http";
import { CookieOptions } from "../types";
import { CookieNames } from "../dict/cookie-names";
export declare function setCookie(res: http.ServerResponse, name: (typeof CookieNames)[keyof typeof CookieNames], value: string, options?: CookieOptions): void;
export declare function getCookie(req: http.IncomingMessage, name: (typeof CookieNames)[keyof typeof CookieNames]): string | null;
export declare function updateCookie(res: http.ServerResponse, name: (typeof CookieNames)[keyof typeof CookieNames], value: string, options?: CookieOptions): void;
export declare function deleteCookie(res: http.ServerResponse, name: (typeof CookieNames)[keyof typeof CookieNames], options?: CookieOptions): void;
