"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabTargetDatabaseSchemaIndex;
function grabTargetDatabaseSchemaIndex({ dbs, dbFullName, dbSlug, dbSchema, childDbSchema, childTableSchema, }) {
    if (!dbs)
        return undefined;
    const targetDbIndex = dbs.findIndex((db) => (dbSlug && dbSlug == db.dbSlug) ||
        (dbFullName && dbFullName == db.dbFullName) ||
        (dbSchema && dbSchema.dbSlug && dbSchema.dbSlug == db.dbSlug));
    if (targetDbIndex < 0)
        return undefined;
    return targetDbIndex;
}
