"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabAPIBasePath;
const APIParadigms = ["crud", "media", "schema"];
function grabAPIBasePath({ version, paradigm }) {
    let basePath = `/api/v${version || "1"}`;
    if (paradigm) {
        basePath += `/${paradigm}`;
    }
    return basePath;
}
