import https from "https";
import http from "http";
type GrabHostNamesReturn = {
    host: string;
    port: number | string;
    scheme: typeof http | typeof https;
    user_id: string | number;
};
type Param = {
    userId?: string | number;
    env?: {
        [k: string]: string;
    };
    remoteHost?: string;
    remoteHostPort?: string;
    useDefault?: boolean;
};
/**
 *  # Grab Names For Query
 */
export default function grabHostNames(param?: Param): GrabHostNamesReturn;
export {};
