export default function parseEnv(
/** The file path to the env. Eg. /app/.env */ envFile: string): {
    DSQL_HOST: string | undefined;
    NEXT_PUBLIC_DSQL_HOST: string | undefined;
    DSQL_STATIC_HOST: string | undefined;
    DSQL_SOCKET_DOMAIN: string | undefined;
    DSQL_HOST_ENV: string | undefined;
    DSQL_PORT: string | undefined;
    DSQL_PRODUCTION_PORT: string | undefined;
    DSQL_STATIC_SERVER_PORT: string | undefined;
    DSQL_SITE_URL: string | undefined;
    DSQL_REMOTE_SQL_HOST: string | undefined;
    NEXT_PUBLIC_DSQL_REMOTE_SQL_HOST: string | undefined;
    DSQL_DB_TARGET_IP_ADDRESS: string | undefined;
    NEXT_PUBLIC_VERSION: string | undefined;
    DSQL_USER_DB_PREFIX: string | undefined;
    DSQL_USER_DELEGATED_DB_COOKIE_PREFIX: string | undefined;
    DSQL_NETWORK_IP_PREFIX: string | undefined;
    DSQL_NETWORK_GATEWAY: string | undefined;
    DSQL_NETWORK_SUBNET: string | undefined;
    DSQL_MARIADB_MASTER_HOST: string | undefined;
    DSQL_DB_HOST: string | undefined;
    DSQL_WEB_APP_HOST: string | undefined;
    DSQL_DB_USERNAME: string | undefined;
    DSQL_DB_PASSWORD: string | undefined;
    DSQL_MARIADB_ROOT_PASSWORD: string | undefined;
    DSQL_REPLICATION_USER_PASSWORD: string | undefined;
    DSQL_DB_NAME: string | undefined;
    DSQL_MARIADB_REPLICATION_PASSWORD: string | undefined;
    DSQL_MAXSCALE_PASSWORD: string | undefined;
    DSQL_DB_READ_ONLY_USERNAME: string | undefined;
    DSQL_DB_READ_ONLY_PASSWORD: string | undefined;
    DSQL_DB_FULL_ACCESS_USERNAME: string | undefined;
    DSQL_DB_FULL_ACCESS_PASSWORD: string | undefined;
    DSQL_DB_EXPOSED_PORT: string | undefined;
    DSQL_ENCRYPTION_PASSWORD: string | undefined;
    DSQL_ENCRYPTION_SALT: string | undefined;
    DSQL_SU_USER_ID: string | undefined;
    DSQL_SU_USER_UUID: string | undefined;
    DSQL_SU_EMAIL: string | undefined;
    DSQL_GOOGLE_CLIENT_ID: string | undefined;
    NEXT_PUBLIC_DSQL_GOOGLE_CLIENT_ID: string | undefined;
    DSQL_FACEBOOK_APP_ID: string | undefined;
    DSQL_FACEBOOK_SECRET: string | undefined;
    DSQL_MAIL_HOST: string | undefined;
    DSQL_MAIL_EMAIL: string | undefined;
    DSQL_MAIL_PASSWORD: string | undefined;
    DSQL_TINY_MCE_API_KEY: string | undefined;
    DSQL_GITHUB_ID: string | undefined;
    DSQL_GITHUB_SECRET: string | undefined;
    DSQL_GITHUB_WEBHOOK_SECRET: string | undefined;
    DSQL_GITHUB_WEBHOOK_URL: string | undefined;
    DSQL_DEPLOY_SERVER_PORT: string | undefined;
    DSQL_DOCKERFILE: string | undefined;
    DSQL_VOLUME_APP: string | undefined;
    DSQL_VOLUME_STATIC: string | undefined;
    DSQL_VOLUME_STATIC_CONFIGURATION_FILE: string | undefined;
    DSQL_VOLUME_DB: string | undefined;
    DSQL_VOLUME_DB_CONFIG: string | undefined;
    DSQL_VOLUME_DB_SETUP: string | undefined;
    DSQL_VOLUME_DB_SSL: string | undefined;
    DSQL_USER_LOGIN_KEYS_PATH: string | undefined;
    DSQL_API_KEYS_PATH: string | undefined;
    DSQL_APP_DIR: string | undefined;
    DSQL_DATA_DIR: string | undefined;
    DSQL_CONTACT_EMAIL: string | undefined;
    DSQL_SSL_DIR: string | undefined;
    DSQL_DEPLOYMENT_NAME: string | undefined;
    DSQL_COOKIES_PREFIX: string | undefined;
    DSQL_COOKIES_KEY_NAME: string | undefined;
    DSQL_WEB_APP_FAIL_COUNTS: string | undefined;
    NODE_ARCH: string | undefined;
    DSQL_WEBSOCKET_PORT: string | undefined;
    DSQL_WEBSOCKET_HOST: string | undefined;
    NEXT_PUBLIC_DSQL_WEBSOCKET_HOST: string | undefined;
    S3_ACCESS_KEY_ID: string | undefined;
    S3_SECRET_ACCESS: string | undefined;
    DSQL_ADDITIONAL_MARIADB_SERVERS: string | undefined;
    DSQL_ARCJET_KEY: string | undefined;
} | undefined;
