"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = slugToNormalText;
function slugToNormalText(str) {
    if (!str)
        return "";
    return str
        .toLowerCase()
        .replace(/ /g, "-")
        .replace(/[^a-z0-9\-]/g, "-")
        .replace(/-{2,}/g, "-")
        .replace(/[-]/g, " ")
        .split(" ")
        .map((word) => word.charAt(0).toUpperCase() + word.slice(1).toLowerCase())
        .join(" ");
}
