"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = updateGrastateToLatest;
const fs_1 = __importDefault(require("fs"));
const grab_dir_names_1 = __importDefault(require("./backend/names/grab-dir-names"));
function updateGrastateToLatest() {
    const { mainDbGrastateDatFile } = (0, grab_dir_names_1.default)();
    const existingGrastateDatFile = fs_1.default.readFileSync(mainDbGrastateDatFile, "utf-8");
    const newGrastateDatFile = existingGrastateDatFile.replace(/safe_to_bootstrap: .*/, `safe_to_bootstrap: 1`);
    fs_1.default.writeFileSync(mainDbGrastateDatFile, newGrastateDatFile, "utf-8");
}
