export default function grabDockerStackServicesNames() {
    const deploymentName = process.env.DSQL_DEPLOYMENT_NAME || "dsql";

    const maxScaleServiceName = `${deploymentName}-dsql-maxscale`;
    const dbServiceName = `${deploymentName}-dsql-db`;
    const dbCronServiceName = `${deploymentName}-dsql-db-cron`;
    const cronServiceName = `${deploymentName}-dsql-cron`;
    const postDbSetupServiceName = `${deploymentName}-dsql-post-db-setup`;
    const setupServiceName = `${deploymentName}-dsql-setup`;
    const webAppServiceName = `${deploymentName}-dsql-web-app`;
    const webAppPostDbSetupServiceName = `${deploymentName}-dsql-web-app-post-db-setup`;
    const dbReplica1ServiceName = `${deploymentName}-dsql-db-replica-1`;
    const dbReplica2ServiceName = `${deploymentName}-dsql-db-replica-2`;
    const reverseProxyServiceName = `${deploymentName}-dsql-reverse-proxy`;
    const staticServiceName = `${deploymentName}-dsql-static`;
    const websocketServiceName = `${deploymentName}-dsql-websocket`;

    return {
        deploymentName,
        maxScaleServiceName,
        dbServiceName,
        dbCronServiceName,
        postDbSetupServiceName,
        setupServiceName,
        webAppServiceName,
        webAppPostDbSetupServiceName,
        dbReplica1ServiceName,
        dbReplica2ServiceName,
        reverseProxyServiceName,
        staticServiceName,
        websocketServiceName,
        cronServiceName,
    };
}
