export default function envsub(str: string) {
    return str.replace(/\$([A-Z_]+)|\${([A-Z_]+)}/g, (match, var1, var2) => {
        const varName = var1 || var2;
        return process.env[varName] || match;
    });
}
